=== debian/changelog ===
gpe-shield (0.31-4) unstable; urgency=low

  * Add missing stop to init.d script (lintian)
  * point copyright at versioned GPL-2 instead of symlink.
  * Add VCS fields for pkg-gpe. Update standards version.
  * Migrate to source format 3.0 (quilt) and replace gpe-shield init
    with patch to upstream init file.
  * Add  to gpe-shield init to load /usr/bin (lintian warning)

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Mar 2010 09:41:03 +0000

gpe-shield (0.31-3) unstable; urgency=low

  * wrong iptables location in init script - break install and removal
    (Closes: #454114)

 -- Neil Williams <codehelp@debian.org>  Wed, 05 Dec 2007 22:46:45 +0000

gpe-shield (0.31-2) unstable; urgency=low

  * Migrate to unstable alongside dependencies.
  * Add Debian GPE team to uploaders
  * Add cross build support

 -- Neil Williams <codehelp@debian.org>  Thu, 29 Nov 2007 08:02:07 +0000

gpe-shield (0.31-1) experimental; urgency=low

  * New upstream release

 -- Neil Williams <codehelp@debian.org>  Sun, 09 Sep 2007 20:06:48 +0100

gpe-shield (0.9-1) experimental; urgency=low

  * Initial release. (Closes: #404385: ITP: gpe-shield -- firewall
    configuration for GPE - Debian Bug report logs)
  * Upload to experimental due to dependencies.

 -- Neil Williams <codehelp@debian.org>  Sun, 24 Dec 2006 16:04:56 +0000
