=== debian/control ===
Source: gpe-shield
Section: utils
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>, Moray Allan <moray@debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>
Build-Depends: cdbs, debhelper (>= 5), libgpewidget-dev, libgtk2.0-dev,
 intltool, libglib2.0-dev
Standards-Version: 3.8.4
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/gpe-shield/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/gpe-shield/trunk/

Package: gpe-shield
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gpe-su, iptables
Description: firewall configuration for GPE
 Gpe-shield is a frontend for the iptables network 
 packet filter for the GPE Palmtop Environment.
